{% extends 'base.html.twig' %}

{% block body %}
    <h1>Vehicle creation</h1>

    {{ form_start(form) }}
        {{ form_widget(form) }}
        <input type="submit" value="Create" />
    {{ form_end(form) }}

    <ul>
        <li>
            <a href="{{ path('vehicle_index') }}">Back to the list</a>
        </li>
    </ul>
{% endblock %}
{% block javascript %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <script type="text/javascript">
        $('#sayara_backendbundle_vehicle_marque').change(function () {
            var marqueSelector = $(this);
            var marqueid= marqueSelector.val()

            // Request the models of the selected marque.
            $.ajax({
                url: "{{ path('vehicle_model_list') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    marqueid: marqueSelector.val()
                },
                success: function (models) {
                    var modelSelect = $("#sayara_backendbundle_vehicle_modele");

                    // Remove current options
                    modelSelect.html('');

                    // Empty value ...
                    modelSelect.append('<option value> Select a model of ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                    $.each(models, function (key, model) {
                        modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                    });
                },
                error: function (err) {
                    alert("An error ocurred while loading data ...");
                }
            });
        });
    </script>
{% endblock %}